New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Guest Additions Version error on VirtualBox5 #714

Closed
neilgee opened this Issue Jul 27, 2015 · 7 comments

Comments

Projects
None yet
3 participants
@neilgee

neilgee commented Jul 27, 2015

Getting a warning on vagrant up with VirtualBox 5 stating the latest Guest Addition Version is not matching the VirtualBox

==> default: Machine booted and ready!
==> default: Checking for guest additions in VM...
    default: The guest additions on this VM do not match the installed version of
    default: VirtualBox! In most cases this is fine, but in rare cases it can
    default: prevent things such as shared folders from working properly. If you see
    default: shared folder errors, please make sure the guest additions within the
    default: virtual machine match the version of VirtualBox you have installed on
    default: your host and reload your VM.
    default: 
    default: Guest Additions Version: 4.3.10
    default: VirtualBox Version: 5.0
==> default: Checking for host entries

But the Guest Additions is the correct version...

vagrant@vvv:~$ ls /opt/
VBoxGuestAdditions-5.0.0
@cfoellmann

This comment has been minimized.

Show comment
Hide comment
@cfoellmann

cfoellmann Jul 27, 2015

Member

I am on windows and updated to VB 5 without a hitch.
Maybe a reinstall of the additions will help if you do not get any other tips.

Member

cfoellmann commented Jul 27, 2015

I am on windows and updated to VB 5 without a hitch.
Maybe a reinstall of the additions will help if you do not get any other tips.

@mgratch

This comment has been minimized.

Show comment
Hide comment
@mgratch

mgratch Jul 31, 2015

I can confirm this happening as well. win 8.1 vagrant 1.7.4 vbox 5.0.0 r101573 I have tried reinstalling, going to downgrade for now.

mgratch commented Jul 31, 2015

I can confirm this happening as well. win 8.1 vagrant 1.7.4 vbox 5.0.0 r101573 I have tried reinstalling, going to downgrade for now.

@mgratch

This comment has been minimized.

Show comment
Hide comment
@mgratch

mgratch Jul 31, 2015

This fixed it for me:

vagrant plugin install vagrant-vbguest

mgratch commented Jul 31, 2015

This fixed it for me:

vagrant plugin install vagrant-vbguest

@neilgee

This comment has been minimized.

Show comment
Hide comment
@neilgee

neilgee Aug 1, 2015

I already have vagrant-vbguest installed I upgraded it with:

vagrant plugin update vagrant-vbguest

But still have the same warning when running vagrant up - I also totally removed and re-installed the plugin. My OS is OSX 10.10.3

neilgee commented Aug 1, 2015

I already have vagrant-vbguest installed I upgraded it with:

vagrant plugin update vagrant-vbguest

But still have the same warning when running vagrant up - I also totally removed and re-installed the plugin. My OS is OSX 10.10.3

@cfoellmann

This comment has been minimized.

Show comment
Hide comment
@cfoellmann

cfoellmann Aug 10, 2015

Member

Did you run vagrant plugin update vagrant-vbguest in the vvv folder with admin right (on the host)?

I ran the command in the vvv folder and got on the the next vagrant up:

PS D:\> cd .\wpc-vagrant\
PS D:\wpc-vagrant> vagrant up
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Checking if box 'ubuntu/trusty64' is up to date...
==> default: A newer version of the box 'ubuntu/trusty64' is available! You currently
==> default: have version '20150422.0.1'. The latest is version '20150609.0.10'. Run
==> default: `vagrant box update` to update.
==> default: Clearing any previously set forwarded ports...
==> default: Clearing any previously set network interfaces...
==> default: Preparing network interfaces based on configuration...
    default: Adapter 1: nat
    default: Adapter 2: hostonly
==> default: Forwarding ports...
    default: 22 => 2222 (adapter 1)
==> default: Running 'pre-boot' VM customizations...
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
    default: SSH address: 127.0.0.1:2222
    default: SSH username: vagrant
    default: SSH auth method: private key
    default: Warning: Connection timeout. Retrying...
    default: Warning: Remote connection disconnect. Retrying...
==> default: Machine booted and ready!
GuestAdditions versions on your host (5.0.0) and guest (4.3.10) do not match.
stdin: is not a tty
 * Stopping VirtualBox Additions
   ...done.
stdin: is not a tty
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  dkms libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libfontenc1
  libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libllvm3.4 libpciaccess0
  libtxc-dxtn-s2tc0 libx11-xcb1 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0
  libxcb-present0 libxcb-sync1 libxcomposite1 libxdamage1 libxfixes3 libxfont1
  libxkbfile1 libxrandr2 libxshmfence1 libxxf86vm1 x11-xkb-utils xfonts-base
  xfonts-encodings xfonts-utils xserver-common xserver-xorg-core
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  virtualbox-guest-dkms* virtualbox-guest-utils* virtualbox-guest-x11*
0 upgraded, 0 newly installed, 3 to remove and 145 not upgraded.
After this operation, 12.1 MB disk space will be freed.
(Reading database ... 71867 files and directories currently installed.)
Removing virtualbox-guest-dkms (4.3.10-dfsg-1) ...

-------- Uninstall Beginning --------
Module:  virtualbox-guest
Version: 4.3.10
Kernel:  3.13.0-29-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxguest.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.13.0-29-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


vboxsf.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.13.0-29-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


vboxvideo.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.13.0-29-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

------------------------------
Deleting module version: 4.3.10
completely from the DKMS tree.
------------------------------
Done.
Removing virtualbox-guest-x11 (4.3.10-dfsg-1) ...
Purging configuration files for virtualbox-guest-x11 (4.3.10-dfsg-1) ...
Removing virtualbox-guest-utils (4.3.10-dfsg-1) ...
Purging configuration files for virtualbox-guest-utils (4.3.10-dfsg-1) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.6) ...
stdin: is not a tty
Reading package lists...
Building dependency tree...
Reading state information...
linux-headers-3.13.0-29-generic is already the newest version.
linux-headers-3.13.0-29-generic set to manually installed.
The following packages were automatically installed and are no longer required:
  libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libfontenc1 libgl1-mesa-dri
  libgl1-mesa-glx libglapi-mesa libllvm3.4 libpciaccess0 libtxc-dxtn-s2tc0
  libx11-xcb1 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0
  libxcb-sync1 libxcomposite1 libxdamage1 libxfixes3 libxfont1 libxkbfile1
  libxrandr2 libxshmfence1 libxxf86vm1 x11-xkb-utils xfonts-base
  xfonts-encodings xfonts-utils xserver-common xserver-xorg-core
Use 'apt-get autoremove' to remove them.
The following packages will be upgraded:
  dkms
1 upgraded, 0 newly installed, 0 to remove and 144 not upgraded.
Need to get 64.6 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main dkms all 2.2.0.3-1.1ubuntu5.14.04.1 [64.6 kB
dpkg-preconfigure: unable to re-open stdin: No such file or directory
Fetched 64.6 kB in 0s (99.6 kB/s)
(Reading database ... 71594 files and directories currently installed.)
Preparing to unpack .../dkms_2.2.0.3-1.1ubuntu5.14.04.1_all.deb ...
Unpacking dkms (2.2.0.3-1.1ubuntu5.14.04.1) over (2.2.0.3-1.1ubuntu5.14.04) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Setting up dkms (2.2.0.3-1.1ubuntu5.14.04.1) ...
Copy iso file C:\Program Files\Oracle VM VirtualBox\VBoxGuestAdditions.iso into the box /tmp/VBoxGuestAd
stdin: is not a tty
mount: block device /tmp/VBoxGuestAdditions.iso is write-protected, mounting read-only
Installing Virtualbox Guest Additions 5.0.0 - guest version is 4.3.10
stdin: is not a tty
Verifying archive integrity... All good.
Uncompressing VirtualBox 5.0.0 Guest Additions for Linux............
VirtualBox Guest Additions installer
Copying additional installer modules ...
Installing additional modules ...
Removing existing VirtualBox DKMS kernel modules ...done.
Removing existing VirtualBox non-DKMS kernel modules ...done.
Building the VirtualBox Guest Additions kernel modules ...done.
Doing non-kernel setup of the Guest Additions ...done.
Starting the VirtualBox Guest Additions ...done.
Installing the Window System drivers
Could not find the X.Org or XFree86 Window System, skipping.
An error occurred during installation of VirtualBox Guest Additions 5.0.0. Some functionality may not wo
In most cases it is OK that the "Window System drivers" installation failed.
stdin: is not a tty
/home/vagrant/.bash_profile: line 37: /srv/www/wp-cli/utils/wp-completion.bash: No such file or director
==> default: Checking for guest additions in VM...
==> default: Checking for host entries
==> default: Setting hostname...
==> default: Configuring and enabling network interfaces...
==> default: Mounting shared folders...
    default: /vagrant => D:/wpc-vagrant
    default: /srv/www => D:/wpc-vagrant/www
    default: /srv/log => D:/wpc-vagrant/log
    default: /srv/config => D:/wpc-vagrant/config
    default: /srv/database => D:/wpc-vagrant/database
==> default: Machine already provisioned. Run `vagrant provision` or use the `--provision`
==> default: flag to force provisioning. Provisioners marked to run always will still run.
==> default: Running provisioner: shell...
    default: Running: inline script
==> default: stdin: is not a tty
==> default: mysql stop/waiting
==> default: mysql start/running, process 14579
==> default: Running provisioner: shell...
    default: Running: inline script
==> default: stdin: is not a tty
==> default:  * Restarting nginx nginx
==> default:    ...done.
PS D:\wpc-vagrant>
Member

cfoellmann commented Aug 10, 2015

Did you run vagrant plugin update vagrant-vbguest in the vvv folder with admin right (on the host)?

I ran the command in the vvv folder and got on the the next vagrant up:

PS D:\> cd .\wpc-vagrant\
PS D:\wpc-vagrant> vagrant up
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Checking if box 'ubuntu/trusty64' is up to date...
==> default: A newer version of the box 'ubuntu/trusty64' is available! You currently
==> default: have version '20150422.0.1'. The latest is version '20150609.0.10'. Run
==> default: `vagrant box update` to update.
==> default: Clearing any previously set forwarded ports...
==> default: Clearing any previously set network interfaces...
==> default: Preparing network interfaces based on configuration...
    default: Adapter 1: nat
    default: Adapter 2: hostonly
==> default: Forwarding ports...
    default: 22 => 2222 (adapter 1)
==> default: Running 'pre-boot' VM customizations...
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
    default: SSH address: 127.0.0.1:2222
    default: SSH username: vagrant
    default: SSH auth method: private key
    default: Warning: Connection timeout. Retrying...
    default: Warning: Remote connection disconnect. Retrying...
==> default: Machine booted and ready!
GuestAdditions versions on your host (5.0.0) and guest (4.3.10) do not match.
stdin: is not a tty
 * Stopping VirtualBox Additions
   ...done.
stdin: is not a tty
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  dkms libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libfontenc1
  libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libllvm3.4 libpciaccess0
  libtxc-dxtn-s2tc0 libx11-xcb1 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0
  libxcb-present0 libxcb-sync1 libxcomposite1 libxdamage1 libxfixes3 libxfont1
  libxkbfile1 libxrandr2 libxshmfence1 libxxf86vm1 x11-xkb-utils xfonts-base
  xfonts-encodings xfonts-utils xserver-common xserver-xorg-core
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  virtualbox-guest-dkms* virtualbox-guest-utils* virtualbox-guest-x11*
0 upgraded, 0 newly installed, 3 to remove and 145 not upgraded.
After this operation, 12.1 MB disk space will be freed.
(Reading database ... 71867 files and directories currently installed.)
Removing virtualbox-guest-dkms (4.3.10-dfsg-1) ...

-------- Uninstall Beginning --------
Module:  virtualbox-guest
Version: 4.3.10
Kernel:  3.13.0-29-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxguest.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.13.0-29-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


vboxsf.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.13.0-29-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


vboxvideo.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.13.0-29-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

------------------------------
Deleting module version: 4.3.10
completely from the DKMS tree.
------------------------------
Done.
Removing virtualbox-guest-x11 (4.3.10-dfsg-1) ...
Purging configuration files for virtualbox-guest-x11 (4.3.10-dfsg-1) ...
Removing virtualbox-guest-utils (4.3.10-dfsg-1) ...
Purging configuration files for virtualbox-guest-utils (4.3.10-dfsg-1) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.6) ...
stdin: is not a tty
Reading package lists...
Building dependency tree...
Reading state information...
linux-headers-3.13.0-29-generic is already the newest version.
linux-headers-3.13.0-29-generic set to manually installed.
The following packages were automatically installed and are no longer required:
  libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libfontenc1 libgl1-mesa-dri
  libgl1-mesa-glx libglapi-mesa libllvm3.4 libpciaccess0 libtxc-dxtn-s2tc0
  libx11-xcb1 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0
  libxcb-sync1 libxcomposite1 libxdamage1 libxfixes3 libxfont1 libxkbfile1
  libxrandr2 libxshmfence1 libxxf86vm1 x11-xkb-utils xfonts-base
  xfonts-encodings xfonts-utils xserver-common xserver-xorg-core
Use 'apt-get autoremove' to remove them.
The following packages will be upgraded:
  dkms
1 upgraded, 0 newly installed, 0 to remove and 144 not upgraded.
Need to get 64.6 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main dkms all 2.2.0.3-1.1ubuntu5.14.04.1 [64.6 kB
dpkg-preconfigure: unable to re-open stdin: No such file or directory
Fetched 64.6 kB in 0s (99.6 kB/s)
(Reading database ... 71594 files and directories currently installed.)
Preparing to unpack .../dkms_2.2.0.3-1.1ubuntu5.14.04.1_all.deb ...
Unpacking dkms (2.2.0.3-1.1ubuntu5.14.04.1) over (2.2.0.3-1.1ubuntu5.14.04) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Setting up dkms (2.2.0.3-1.1ubuntu5.14.04.1) ...
Copy iso file C:\Program Files\Oracle VM VirtualBox\VBoxGuestAdditions.iso into the box /tmp/VBoxGuestAd
stdin: is not a tty
mount: block device /tmp/VBoxGuestAdditions.iso is write-protected, mounting read-only
Installing Virtualbox Guest Additions 5.0.0 - guest version is 4.3.10
stdin: is not a tty
Verifying archive integrity... All good.
Uncompressing VirtualBox 5.0.0 Guest Additions for Linux............
VirtualBox Guest Additions installer
Copying additional installer modules ...
Installing additional modules ...
Removing existing VirtualBox DKMS kernel modules ...done.
Removing existing VirtualBox non-DKMS kernel modules ...done.
Building the VirtualBox Guest Additions kernel modules ...done.
Doing non-kernel setup of the Guest Additions ...done.
Starting the VirtualBox Guest Additions ...done.
Installing the Window System drivers
Could not find the X.Org or XFree86 Window System, skipping.
An error occurred during installation of VirtualBox Guest Additions 5.0.0. Some functionality may not wo
In most cases it is OK that the "Window System drivers" installation failed.
stdin: is not a tty
/home/vagrant/.bash_profile: line 37: /srv/www/wp-cli/utils/wp-completion.bash: No such file or director
==> default: Checking for guest additions in VM...
==> default: Checking for host entries
==> default: Setting hostname...
==> default: Configuring and enabling network interfaces...
==> default: Mounting shared folders...
    default: /vagrant => D:/wpc-vagrant
    default: /srv/www => D:/wpc-vagrant/www
    default: /srv/log => D:/wpc-vagrant/log
    default: /srv/config => D:/wpc-vagrant/config
    default: /srv/database => D:/wpc-vagrant/database
==> default: Machine already provisioned. Run `vagrant provision` or use the `--provision`
==> default: flag to force provisioning. Provisioners marked to run always will still run.
==> default: Running provisioner: shell...
    default: Running: inline script
==> default: stdin: is not a tty
==> default: mysql stop/waiting
==> default: mysql start/running, process 14579
==> default: Running provisioner: shell...
    default: Running: inline script
==> default: stdin: is not a tty
==> default:  * Restarting nginx nginx
==> default:    ...done.
PS D:\wpc-vagrant>
@neilgee

This comment has been minimized.

Show comment
Hide comment
@neilgee

neilgee Aug 10, 2015

Thanks Christian - yes I think I didn't have it directly in the vvv folder - installed directly there and all good now

==> default: Running 'pre-boot' VM customizations...
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
    default: SSH address: 127.0.0.1:2222
    default: SSH username: vagrant
    default: SSH auth method: private key
    default: Warning: Connection timeout. Retrying...
==> default: Machine booted and ready!
GuestAdditions 5.0.0 running --- OK.
==> default: Checking for guest additions in VM...
==> default: Checking for host entries

neilgee commented Aug 10, 2015

Thanks Christian - yes I think I didn't have it directly in the vvv folder - installed directly there and all good now

==> default: Running 'pre-boot' VM customizations...
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
    default: SSH address: 127.0.0.1:2222
    default: SSH username: vagrant
    default: SSH auth method: private key
    default: Warning: Connection timeout. Retrying...
==> default: Machine booted and ready!
GuestAdditions 5.0.0 running --- OK.
==> default: Checking for guest additions in VM...
==> default: Checking for host entries

@neilgee neilgee closed this Aug 10, 2015

@cfoellmann

This comment has been minimized.

Show comment
Hide comment
@cfoellmann

cfoellmann Aug 11, 2015

Member

Nice to hear that.
A new vvv should be provision with all the newest bells and whistles, right? I hope this thread helps people. Good you posted it.

Member

cfoellmann commented Aug 11, 2015

Nice to hear that.
A new vvv should be provision with all the newest bells and whistles, right? I hope this thread helps people. Good you posted it.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment